/* --- select disabled option color - START --- */

.bundle-options-container .product-add-form .bundle-options-wrapper .product-options-wrapper .fieldset-bundle-options .field .control .bundle-item option:disabled {
    color: #cccccc;
}

/* --- select disabled option color - END --- */

/* --- Checkbox highlight/disabled case - START --- */
.bundle-options-container .product-add-form .bundle-options-wrapper .product-options-wrapper .fieldset-bundle-options .field.choice input[type=checkbox]:disabled {
    border-color: #cccccc;
}

.bundle-options-container .product-add-form .bundle-options-wrapper .product-options-wrapper .fieldset-bundle-options .field.choice input[type=checkbox]:disabled + label {
    color: #cccccc;
}

.bundle-options-container .product-add-form .bundle-options-wrapper .product-options-wrapper .fieldset-bundle-options .field.choice input[type=checkbox] {
    border-color: #000000;
}

/* --- Checkbox highlight/disabled case - END --- */

/* orderbysku layout */
.orderbysku-index-index .column .block-addbysku .block-content .box {
    float: none;
    width: 100%;
}

/* PDP thumbnails */
.fotorama .fotorama__thumb {
    background-color: transparent;
    border: 1px solid #dfdfdf;
}

.fotorama .fotorama__thumb-border {
    border: 1px solid #b30002;
    background-image: none;
}

/* Repair Parts thumb position on top */
.page-product-grouped .product.media .fotorama__wrap {
    display: flex;
    flex-direction: column;
}

.page-product-grouped .product.media .fotorama__wrap {
    display: flex;
    flex-direction: column;
}

/* grouped thumb centered */
.page-product-grouped .fotorama__nav-wrap {
    margin: 30px auto;
    text-align: center;
    order: -1;
}

.cart-discount .block .title:after {
    content: "";
    display: none;
}

/* Button toggle switch */
.tgl {
    display: none;
}

.tgl-group {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.4rem;
}

.tgl-group > span {
    padding-right: 10px;
}

.tgl-group .tgl-light {
    display: none;
}

.tgl-group .tgl-light {
    width: 0;
    height: 0;
    visibility: hidden;
    opacity: 0;
}

.tgl, .tgl:after, .tgl:before, .tgl *, .tgl *:after, .tgl *:before, .tgl + .tgl-btn {
    box-sizing: border-box;
}

.tgl::-moz-selection, .tgl:after::-moz-selection, .tgl:before::-moz-selection, .tgl *::-moz-selection, .tgl *:after::-moz-selection, .tgl *:before::-moz-selection, .tgl + .tgl-btn::-moz-selection {
    background: none;
}

.tgl::selection, .tgl:after::selection, .tgl:before::selection, .tgl *::selection, .tgl *:after::selection, .tgl *:before::selection, .tgl + .tgl-btn::selection {
    background: none;
}

.tgl + .tgl-btn {
    outline: 0;
    display: block;
    width: 41px;
    height: 23px;
    position: relative;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.tgl + .tgl-btn:after, .tgl + .tgl-btn:before {
    position: relative;
    display: block;
    content: "";
    width: 50%;
    height: 100%;
}

.tgl + .tgl-btn:after {
    left: 0;
}

.tgl + .tgl-btn:before {
    display: none;
}

.tgl:checked + .tgl-btn:after {
    left: 50%;
}

.tgl-light + .tgl-btn {
    background: #f0f0f0;
    border-radius: 20px;
    padding: 2px;
    -webkit-transition: all .4s ease;
    transition: all .4s ease;
}

.tgl-light + .tgl-btn:after {
    border-radius: 50%;
    background: #fff;
    -webkit-transition: all .2s ease;
    transition: all .2s ease;
}

.tgl-light:checked + .tgl-btn {
    background: #b30002;
}

.account .table-wrapper .table .col {
    width: auto;
}

/* subcategories */
.page-products .apptrian-subcategories-grid,
.page-products .apptrian-subcategories-list {
    margin: 0 0 20px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.page-products .apptrian-subcategories-grid li:hover {
    border-color: #b30002;
}

.page-products .apptrian-subcategories-grid li {
    border: 1px solid #ccc;
    margin: 0 5px;
    box-sizing: border-box;
    margin-bottom: 20px;
    border-radius: 6px;
    transition: .5s all ease-in;
}

.page-products .apptrian-subcategories-grid .apptrian-subcategories-category-name a {
    font-weight: 600;
    font-size: 1.6rem;
    font-family: 'Barlow Semi Condensed', sans-serif;
    text-transform: uppercase;
    text-decoration: none;
    color: #222;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    height: 45px;
}


.catalog-category-view .subcategory-wrap {
    border: 1px solid #dfdfdf;
    position: relative;
    display: flex;
    margin-bottom: 4rem;
}

.catalog-category-view .subcategory-wrap .apptrian-subcategories-category-image {
    width: 27%;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    float: left;
}

.catalog-category-view .subcategory-wrap .productList {
    display: inline-block;
    width: 73%;
    float: left;
    padding: 15px;
    box-sizing: border-box;
    position: relative;
    overflow: hidden;
}

.catalog-category-view .subcategory-wrap .productList ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.catalog-category-view .subcategory-wrap .productList ul li {
    display: inline-block;
    width: calc(33.33% - 10px);
    float: left;
    margin: 0 15px 0 0;
}

.catalog-category-view .subcategory-wrap .productList ul li a {
    background: #f4f4f4;
    padding: 10px;
    box-sizing: border-box;
    display: block;
    width: 100%;
    text-align: center;
    margin: 0 0 10px;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    color: #222222;
    font-family: 'Barlow Semi Condensed', sans-serif;
    font-weight: 600;
    font-size: 15px;
    text-decoration: none;
    text-transform: uppercase;
    transition: .5s all ease;
}

.catalog-category-view .subcategory-wrap .productList ul li a:hover,
.catalog-category-view .subcategory-wrap .productList ul li a:focus {
    background: #b30002;
    color: #fff;
}

.catalog-category-view .subcategory-wrap .productList ul li:nth-child(3n) {
    margin-right: 0;
}

.catalog-category-view .subcategory-wrap .productList:before {
    content: "";
    background: #dfdfdf;
    display: block;
    height: 100%;
    width: 1px;
    position: absolute;
    top: 0;
    left: 0;
    min-height: 100vh;
}

@media screen and (min-width: 1024px) {
    .page-products .apptrian-subcategories-grid li {
        border: 1px solid #ccc;
        margin: 0 15px 20px 0;
        box-sizing: border-box;
        width: calc(33.33% - 20px);
        border-radius: 6px;
        transition: .5s all ease-in;
    }

    body.page-products .products-grid h3 {
        margin: 16px 0;
    }

    body.page-products .apptrian-subcategories-category-image {
        min-height: 215px;
        display: flex;
        justify-content: center;
        align-items: center;
    }
}

@media screen and (max-width: 1024px) {
    .catalog-category-view .subcategory-wrap .apptrian-subcategories-category-image {
        width: 40%
    }

    .catalog-category-view .subcategory-wrap .productList {
        width: 60%;
    }

    .catalog-category-view .subcategory-wrap .productList ul li {
        width: calc(50% - 10px);
    }

    .catalog-category-view .subcategory-wrap .productList ul li:nth-child(3n) {
        margin: 0 15px 0 0;
    }

    .catalog-category-view .subcategory-wrap .productList ul li:nth-child(2n) {
        margin-right: 0;
    }
}

@media screen and (max-width: 1023px) {
    .page-products .apptrian-subcategories-grid li {
        width: 30%;
        margin: 0 15px 20px 0;
    }

    body.page-products .products-grid h3 {
        margin: 10px 0;
    }

    .apptrian-subcategories-category-image {
        margin-bottom: 15px;
    }
}


body.page-products .category-cms,
body.page-products .category-image {
    text-align: center;
    margin: 15px auto 30px;
    border-radius: 4px;
    box-shadow: 2px 2px 5px 6px rgba(204, 204, 204, 0.15);
}

body.page-products .category-image {
    display: none;
    visibility: hidden;
    opacity: 0;
}

body.page-products .category-image .image {
    display: block;
    height: auto;
    text-align: center;
    margin: 0 auto;
    max-width: 35%;
    display: none;
    visibility: hidden;
    opacity: 0;
}


/* page title wrapper */
.page-title-wrapper {
    margin-top: 10px;
}

@media screen and (min-width: 768px) {
    /* PDP sticky Cart Info */
    .bundle-options-container .product-add-form .block-bundle-summary .bundle-summary-wrap {
        position: sticky;
        top: 0;
    }

    .account .table-wrapper:last-child {
        margin-top: 0;
    }

    body.page-product-bundle form#product_addtocart_form {
        display: flex;
        justify-content: space-between;
    }

    .total-price-sticky {
        opacity: 0;
    }

    .total-price-sticky.show {
        position: relative;
        z-index: -1;
    }

    /*
    .total-price-sticky.show {
        display: block;
        position: sticky;
        top: 0;
        opacity: 1;
        background: #f7f7f7;
        padding: 0;
        box-sizing: border-box;
        box-shadow: 7px 8px 6px 0 rgba(0,0,0, 0.14);
        margin: 0;
    }
    */
    .total-price-wrapper.total-price-sticky .bundle-total-price {
        padding: 20px 10px;
    }

    .net_price,
    .ssc-net-price,
    .label-net-price {
        display: none; /* Hide by default */
    }

    .total-price-cont {
        display: block;
    }

    .total-price-cont.hide {
        display: none;
    }

    .catalog-product-view .bundle-options-container .bundle-options-wrapper,
    .catalog-product-view .bundle-options-container .product-options-wrapper {
        width: 100%;
    }

    /* product layout */
    .catalog-product-view .bundle-options-container .block-bundle-summary {
        width: 50%;
        float: left;
        position: static;
        vertical-align: top;
        display: inline-block;
        clear: left;
    }

    .catalog-product-view .bundle-main-content {
        width: 100%;
        float: left;
        padding: 0;
    }

    .catalog-product-view .bundle-options-container .product-add-form .bundle-options-wrapper .product-options-wrapper {
        width: 50%;
        float: right;
        padding: 0 0 0 30px;
    }

    .catalog-product-view .product-top-content .page-title-wrapper {
        display: inline-block;
        margin-top: 0;
    }

    .catalog-product-view .product-top-content .product-info-stock-sku {
        display: inline-block;
        padding-left: 30px;
    }

    .catalog-product-view .bundle-main-content .product-description {
        width: 50%;
        float: left;
        margin-top: 30px;
        vertical-align: top;
        padding: 0;
        clear: left;
    }

    .catalog-product-view .bundle-main-content .box-collateral {
        width: 50%;
        float: left;
        padding: 0;
        margin-top: 30px;
        vertical-align: top;
        clear: left;
    }

    .catalog-product-view .product-description__more .product-description__content {
        height: auto;
        overflow: auto;
    }

    .catalog-product-view .product-description__actions {
        display: none;
    }

    .catalog-product-view .bundle-main-content .product.media {
        width: 50%;
        padding: 0;
        float: left;
    }
}

@media only screen and (max-width: 767px) {
    .navigation .level0.active > a:not(.ui-state-active),
    .navigation .level0.has-active > a:not(.ui-state-active) {
        border: 0;
    }

    .navigation .level0.active > a:not(.ui-state-active) span:not(.ui-menu-icon),
    .navigation .level0.has-active > a:not(.ui-state-active) span:not(.ui-menu-icon) {
        margin-left: 0;
    }

    body.account .block-collapsible-nav {
        top: 0;
    }

    body.page-products .apptrian-subcategories-grid li {
        width: calc(50% - 15px);
    }

    .catalog-category-view .subcategory-wrap {
        display: flex;
        flex-direction: column;
    }

    .catalog-category-view .subcategory-wrap .apptrian-subcategories-category-image,
    .catalog-category-view .subcategory-wrap .productList {
        width: 100%;
    }

    .catalog-category-view .subcategory-wrap .productList ul li {
        width: 100%;
        margin: 0;
    }

    .catalog-category-view .subcategory-wrap .productList:before {
        content: none;
    }

    .catalog-category-view .subcategory-wrap .productList ul li a {
        display: block;
        padding: 12px;
        text-overflow: initial;
        overflow: hidden;
        white-space: initial;
        font-size: 13px;
    }

    .total-price-sticky {
        /*display: none;*/
    }

    .apptrian-subcategories-category-image {
        margin-bottom: 15px;
    }

    #bundle-summary .total-price-wrapper {
        display: none;
    }

    .net_price,
    .ssc-net-price,
    .label-net-price {
        display: none; /* Hide by default */
    }

    .total-price-sticky.show {
        position: fixed;
        top: 0;
        width: 100%;
        left: 0;
        right: 0;
        margin: 0 auto;
        background: #b30002;
        color: #fff;
        margin: 0;
        z-index: 99;
    }

    .total-price-sticky.show .price-notice.ssc-net-price:before,
    .total-price-sticky.show .price-notice.ssc-list-price:before,
    .total-price-sticky.show .bundle-total-price .label,
    .total-price-sticky.show .bundle-total-price .bundle-total-list-price .price-box .price-as-configured .price-wrapper > .price,
    .total-price-sticky.show .bundle-total-net-price .price-box .price-as-configured .price-wrapper > .price {
        color: #fff;
    }

    /* product layout */
    .catalog-product-view .bundle-main-content {
        width: 100%;
        float: left;
        padding: 0;
    }

    .catalog-product-view .bundle-main-content .product.media {
        width: 100%;
        padding: 0;
        float: left;
    }

    .catalog-product-view .bundle-options-container .product-add-form .bundle-options-wrapper .product-options-wrapper {
        width: 100%;
        float: left;
        padding: 0;
        margin-top: 20px;
    }

    .catalog-product-view .bundle-options-container .block-bundle-summary {
        width: 100%;
        float: left;
        position: static;
        vertical-align: top;
        display: block;
        clear: left;
    }

    .catalog-product-view .bundle-main-content .product-description {
        width: 100%;
        float: left;
        margin-top: 30px;
        vertical-align: top;
        padding: 0;
        clear: left;
    }

    .catalog-product-view .bundle-main-content .box-collateral {
        width: 100%;
        float: left;
        padding: 0;
        margin-top: 30px;
        vertical-align: top;
        clear: left;
    }

    .catalog-product-view .product-description__more .product-description__content {
        height: auto;
        overflow: auto;
    }

    .catalog-product-view .product-description__actions {
        display: none;
    }
}


/* Empty Cart Button style */
#empty_cart_button {
    background: #b30002;
    border: 1px solid #b30002;
    color: #fff;
    text-transform: uppercase;
    text-align: center;
    margin: 0;
    padding: 7px 15px;
    font-size: 1.5rem;
    line-height: 1.6rem;
    box-sizing: border-box;
    vertical-align: middle;
    border-radius: 0 !important;
    font-weight: 400;
    text-decoration: none;
    -webkit-transition: all .5s ease;
    transition: all .5s ease;
}

button#empty_cart_button:hover,
button#empty_cart_button:focus {
    background: #fff;
    color: #b30002;
}

.bundle-options-wrapper .product.media .gallery-placeholder .fotorama-item .fotorama__wrap .fotorama__nav-wrap .fotorama__nav.fotorama__nav--dots .fotorama__nav__shaft .fotorama__nav__frame .fotorama__dot {
    height: 8px !important;
    width: 8px !important;
}

/*subcategories images fix*/
.apptrian-subcategories-grid .apptrian-subcategories-category-image img {
    aspect-ratio: 0 !important;
}

/* Modal UI edits */
.modal-popup {
    pointer-events: none;
    touch-action: none;
}

.catalog-product-view .address-modal-popup .modal-content {
    padding-left: 1rem;
    padding-right: 1rem;
    padding-bottom: 1rem;
}
